%define build_docs     0

%define qtmajor        5
%define qtminor        10
%define qtsubminor     0

%define qtversion             %{qtmajor}.%{qtminor}.%{qtsubminor}

%define libqt3danimation      %mklibname qt53danimation %{qtmajor}
%define libqt3dcore           %mklibname qt53dcore %{qtmajor}
%define libqt3dextras         %mklibname qt53dextras %{qtmajor}
%define libqt3dinput          %mklibname qt53dinput %{qtmajor}
%define libqt3dlogic          %mklibname qt53dlogic %{qtmajor}
%define libqt3dquick          %mklibname qt53dquick %{qtmajor}
%define libqt3dquickanimation %mklibname qt53dquickanimation %{qtmajor}
%define libqt3dquickextras    %mklibname qt53dquickextras %{qtmajor}
%define libqt3dquickinput     %mklibname qt53dquickinput %{qtmajor}
%define libqt3dquickrender    %mklibname qt53dquickrender %{qtmajor}
%define libqt3dquickscene2d   %mklibname qt53dquickscene2d %{qtmajor}
%define libqt3drender         %mklibname qt53drender %{qtmajor}
%define libqt3d_d             %mklibname qt5qt3d -d

%define qttarballdir          qt3d-everywhere-src-%{qtversion}

Name:           qt3d5
Version:        5.10.0
Release:        %mkrel 1
Summary:        Qt%{qtmajor} 3D QML bindings and C++ APIs component
License:        LGPLv2 with exceptions or GPLv3 with exceptions
Group:          Development/KDE and Qt
Url:            https://www.qt.io/
Source0:        http://download.qt.io/official_releases/qt/%{qtmajor}.%{qtminor}/%{version}/submodules/%{qttarballdir}.tar.xz

BuildRequires:  pkgconfig(Qt5Concurrent) >= %{version}
BuildRequires:  pkgconfig(Qt5Core) >= %{version}
BuildRequires:  pkgconfig(Qt5Gui) >= %{version}
BuildRequires:  pkgconfig(Qt5Network) >= %{version}
BuildRequires:  pkgconfig(Qt5OpenGL) >= %{version}
BuildRequires:  pkgconfig(Qt5Qml) >= %{version}
BuildRequires:  pkgconfig(Qt5Quick) >= %{version}
BuildRequires:  pkgconfig(Qt5Widgets) >= %{version}
BuildRequires:  pkgconfig(Qt5XmlPatterns) >= %{version}
BuildRequires:  qtimageformats5-devel >= %{version}

BuildRequires:  pkgconfig(assimp)

Requires:       qtimageformats5 >= %{version}

%description
Qt%{qtmajor} 3D provides functionality for near-realtime simulation systems
with support for 2D and 3D rendering in both Qt C++ and Qt Quick applications.

%files
%doc LICENSE.GPL* LICENSE.LGPL*
%{_qt5_qml}/Qt3D/
%{_qt5_qml}/QtQuick/Scene3D/
%{_qt5_qml}/QtQuick/Scene2D/
%{_qt5_plugindir}/sceneparsers/
%{_qt5_plugindir}/renderplugins/
%{_qt5_plugindir}/geometryloaders/

#------------------------------------------------------------------------------

%if %{build_docs}
%package        doc
Summary:        Qt3D%{qtmajor} APIs and tools docs
Group:          Documentation
BuildArch:      noarch
BuildRequires:  qttools5
BuildRequires:  qttools5-assistant
Recommends:     qttools5-assistant

%description doc
Documentation for APIs and tools in Qt3D%{qtmajor} package for
use with Qt Assistant.

%files doc
%{_qt5_docdir}/qt3d.qch
%{_qt5_docdir}/qt3d/
%endif

#------------------------------------------------------------------------------

%package -n     %{libqt3dcore}
Summary:        Qt%{qtmajor} 3D Core Component Library
Group:          System/Libraries
Requires:       %{name} = %{version}

%description -n %{libqt3dcore}
Qt%{qtmajor} 3D Core Component Library.

%files -n %{libqt3dcore}
%{_qt5_libdir}/libQt53DCore.so.%{qtmajor}*
%{_qt5_libdir}/libQt53DAnimation.so.%{qtmajor}*
%{_qt5_libdir}/libQt53DExtras.so.%{qtmajor}*
%{_qt5_libdir}/libQt53DInput.so.%{qtmajor}*
%{_qt5_libdir}/libQt53DLogic.so.%{qtmajor}*
%{_qt5_libdir}/libQt53DQuick.so.%{qtmajor}*
%{_qt5_libdir}/libQt53DQuickAnimation.so.%{qtmajor}*
%{_qt5_libdir}/libQt53DQuickExtras.so.%{qtmajor}*
%{_qt5_libdir}/libQt53DQuickInput.so.%{qtmajor}*
%{_qt5_libdir}/libQt53DQuickRender.so.%{qtmajor}*
%{_qt5_libdir}/libQt53DQuickScene2D.so.%{qtmajor}*
%{_qt5_libdir}/libQt53DRender.so.%{qtmajor}*

#------------------------------------------------------------------------------

%package -n     %{libqt3d_d}
Summary:        Devel files needed to build apps based on Qt3D
Group:          Development/Libraries
Requires:       %{libqt3dcore} = %{version}
Provides:       libqt3d5-devel = %{version}
Provides:       libqt53d-devel = %{version}
Provides:       qt3d5-devel = %{version}
Provides:       qt53d-devel = %{version}

%description -n %{libqt3d_d}
Devel files needed to build apps based on Qt 3D.

%files -n %{libqt3d_d}
%{_qt5_includedir}/Qt3DAnimation/
%{_qt5_libdir}/libQt53DAnimation.so
%{_qt5_libdir}/libQt53DAnimation.prl
%{_qt5_libdir}/cmake/Qt53DAnimation/
%{_qt5_libdir}/pkgconfig/Qt53DAnimation.pc
#
%{_qt5_includedir}/Qt3DCore/
%{_qt5_libdir}/libQt53DCore.so
%{_qt5_libdir}/libQt53DCore.prl
%{_qt5_libdir}/cmake/Qt53DCore/
%{_qt5_libdir}/pkgconfig/Qt53DCore.pc
#
%{_qt5_includedir}/Qt3DExtras/
%{_qt5_libdir}/libQt53DExtras.so
%{_qt5_libdir}/libQt53DExtras.prl
%{_qt5_libdir}/cmake/Qt53DExtras/
%{_qt5_libdir}/pkgconfig/Qt53DExtras.pc
#
%{_qt5_includedir}/Qt3DInput/
%{_qt5_libdir}/libQt53DInput.so
%{_qt5_libdir}/libQt53DInput.prl
%{_qt5_libdir}/cmake/Qt53DInput/
%{_qt5_libdir}/pkgconfig/Qt53DInput.pc
#
%{_qt5_includedir}/Qt3DLogic/
%{_qt5_libdir}/libQt53DLogic.so
%{_qt5_libdir}/libQt53DLogic.prl
%{_qt5_libdir}/cmake/Qt53DLogic/
%{_qt5_libdir}/pkgconfig/Qt53DLogic.pc
#
%{_qt5_includedir}/Qt3DQuick/
%{_qt5_libdir}/libQt53DQuick.so
%{_qt5_libdir}/libQt53DQuick.prl
%{_qt5_libdir}/cmake/Qt53DQuick/
%{_qt5_libdir}/pkgconfig/Qt53DQuick.pc
#
%{_qt5_includedir}/Qt3DQuickAnimation/
%{_qt5_libdir}/libQt53DQuickAnimation.so
%{_qt5_libdir}/libQt53DQuickAnimation.prl
%{_qt5_libdir}/cmake/Qt53DQuickAnimation/
%{_qt5_libdir}/pkgconfig/Qt53DQuickAnimation.pc
#
%{_qt5_includedir}/Qt3DQuickExtras/
%{_qt5_libdir}/libQt53DQuickExtras.so
%{_qt5_libdir}/libQt53DQuickExtras.prl
%{_qt5_libdir}/cmake/Qt53DQuickExtras/
%{_qt5_libdir}/pkgconfig/Qt53DQuickExtras.pc
#
%{_qt5_includedir}/Qt3DQuickInput/
%{_qt5_libdir}/libQt53DQuickInput.so
%{_qt5_libdir}/libQt53DQuickInput.prl
%{_qt5_libdir}/cmake/Qt53DQuickInput/
%{_qt5_libdir}/pkgconfig/Qt53DQuickInput.pc
#
%{_qt5_includedir}/Qt3DQuickRender/
%{_qt5_libdir}/libQt53DQuickRender.so
%{_qt5_libdir}/libQt53DQuickRender.prl
%{_qt5_libdir}/cmake/Qt53DQuickRender/
%{_qt5_libdir}/pkgconfig/Qt53DQuickRender.pc
#
%{_qt5_includedir}/Qt3DQuickScene2D/
%{_qt5_libdir}/libQt53DQuickScene2D.so
%{_qt5_libdir}/libQt53DQuickScene2D.prl
%{_qt5_libdir}/cmake/Qt53DQuickScene2D/
%{_qt5_libdir}/pkgconfig/Qt53DQuickScene2D.pc
#
%{_qt5_includedir}/Qt3DRender/
%{_qt5_libdir}/libQt53DRender.so
%{_qt5_libdir}/libQt53DRender.prl
%{_qt5_libdir}/cmake/Qt53DRender/
%{_qt5_libdir}/pkgconfig/Qt53DRender.pc
#
%{_qt5_bindir}/qgltf
%{_qt5_prefix}/mkspecs/modules/*.pri
%{_qt5_examplesdir}/qt3d/

#------------------------------------------------------------------------------

%prep
%setup -q -n qt3d-everywhere-src-%{qtversion}
%apply_patches

%build
%qmake_qt5

%make_build

%if %{build_docs}
%__make docs
%endif

%install
rm -rf %buildroot
%make_install INSTALL_ROOT=%{buildroot}

%if %{build_docs}
%make_install install_docs INSTALL_ROOT=%{buildroot}
%endif

# .la files, die, die, die.
find %{buildroot} -name '*.la' -delete


%changelog
* Sat Dec 09 2017 bb2 <bb2> - 5.10.0-1pclos2017
- new version

* Wed Nov 22 2017 bb2 <bb2> - 5.9.3-1pclos2017
- new version

* Fri Oct 06 2017 bb2 <bb2> - 5.9.2-1pclos2017
- new version

* Wed Aug 16 2017 bb2 <bb2> - 5.9.1-1pclos2017
- import from france
